name: cross_ci

on: [push, pull_request]

jobs:
  build-other:
    strategy:
      matrix:
        os: [ubuntu-20.04, ubuntu-22.04]
        arch: [mingw32, mingw64, arm32, arm64, mips32, mips64]
    runs-on: ${{ matrix.os }}
    continue-on-error: false
    env:
      CC: gcc
      ARCH: ${{ matrix.arch }}
    name: ${{ matrix.arch }} - ${{ matrix.os }}
    steps:
    - uses: actions/checkout@main
    - name: Run CI script
      run: ./scripts/test
